#
# Rcsid[] = "$Id: vector.mss,v 2.1 1993/10/06 01:01:38 alex Exp $";
#

.vec file

The .vec file for the gl85 circuit contains 1's and 0's as stimuli input to
the circuit.  Since there are no bidirectional I/O pins in this circuit, no
other stimuli are required.  In general, when a circuit has bidirectional
I/O pins, it would be necessary to specify floating values (for example, z's)
as inputs.  Double dashes "--" indicate that all text up to the end of the
line is comment.  The first few lines of the file serve as a header.  This is
optional but quite helpful in identifying the order of the inputs when
examining the vector file.

Blanks are ignored by the vector reader but they can be very helpful in
improving readability.  Columns 1&2 are blank in order to line up the stimuli
with the information in the header.  In the gl85 model, blanks are used to
demarc the data field D7 to D0.  Since the header is merely comment, and
those lines are totally ignored by the vector reader, the user may want to
cut and paste the header at strategic points in the vector file when writing
new test vectors to add to the vector file.  In fact, a new vector file,
header and all, can simply be appended to an existing vector file.  Consider
the following:

--CNR
--LEE
--KTS
-- 1E
--  T
--
  000  -- RESET the circuit
  001  -- reset input made inactive
-- Now begin functional program
  101  -- create up-edge on clock input
--
--CNR
--LEE
--KTS
-- 1E
--  T
--
  001
  011 -- Net1 changed to 1
  111 -- Another up-edge

The total test program is six vectors in length.  The header, consisting of
the first six lines, appears twice.  The vectors are annotated with comments
to indicate their purpose.  For the gl8085, the design verification vectors
have been annotated, in particular the beginning of a sequence is usually
indicated.  This is important because it requires anywhere from eight to 36
vectors to fully implement a single instruction.  For instance, a MOV
register-to-register instruction has one M-cycle and four T-states.  Each
T-state requires two vectors to generate a clock edge.  Hence, the four
states require eight vectors.
